/*
 * Copyright 2020 NXP
 *
 * SPDX-License-Identifier: BSD-3-Clause
 */
/***********************************************************************************************************************
 * This file was generated by the MCUXpresso Config Tools. Any manual edits made to this file
 * will be overwritten if the respective MCUXpresso Config Tools is used to update this file.
 **********************************************************************************************************************/

#ifndef _PIN_MUX_H_
#define _PIN_MUX_H_

/***********************************************************************************************************************
 * Definitions
 **********************************************************************************************************************/

/*! @brief Direction type  */
typedef enum _pin_mux_direction
{
    kPIN_MUX_DirectionInput = 0U,        /* Input direction */
    kPIN_MUX_DirectionOutput = 1U,       /* Output direction */
    kPIN_MUX_DirectionInputOrOutput = 2U /* Input or output direction */
} pin_mux_direction_t;

/*!
 * @addtogroup pin_mux
 * @{
 */

/***********************************************************************************************************************
 * API
 **********************************************************************************************************************/

#if defined(__cplusplus)
extern "C" {
#endif

/*!
 * @brief Calls initialization functions.
 *
 */
void BOARD_InitBootPins(void);

/*! @name PORTC7 (coord N2), U40[1]/K32L_UART0_RX
  @{ */
/* Routed pin properties */
#define BOARD_INITPINS_CORE0_DEBUG_UART0_RX_PERIPHERAL LPUART0           /*!<@brief Peripheral name */
#define BOARD_INITPINS_CORE0_DEBUG_UART0_RX_SIGNAL RX                    /*!<@brief Signal name */
#define BOARD_INITPINS_CORE0_DEBUG_UART0_RX_PIN_NAME LPUART0_RX          /*!<@brief Routed pin name */
#define BOARD_INITPINS_CORE0_DEBUG_UART0_RX_LABEL "U40[1]/K32L_UART0_RX" /*!<@brief Label */
#define BOARD_INITPINS_CORE0_DEBUG_UART0_RX_NAME "DEBUG_UART0_RX"        /*!<@brief Identifier */

/* Symbols to be used with PORT driver */
#define BOARD_INITPINS_CORE0_DEBUG_UART0_RX_PORT PORTC                   /*!<@brief PORT peripheral base pointer */
#define BOARD_INITPINS_CORE0_DEBUG_UART0_RX_PIN 7U                       /*!<@brief PORT pin number */
#define BOARD_INITPINS_CORE0_DEBUG_UART0_RX_PIN_MASK (1U << 7U)          /*!<@brief PORT pin mask */
                                                                         /* @} */

/*! @name PORTC8 (coord P3), U11[1]/K32L_UART0_TX
  @{ */
/* Routed pin properties */
#define BOARD_INITPINS_CORE0_DEBUG_UART0_TX_PERIPHERAL LPUART0           /*!<@brief Peripheral name */
#define BOARD_INITPINS_CORE0_DEBUG_UART0_TX_SIGNAL TX                    /*!<@brief Signal name */
#define BOARD_INITPINS_CORE0_DEBUG_UART0_TX_PIN_NAME LPUART0_TX          /*!<@brief Routed pin name */
#define BOARD_INITPINS_CORE0_DEBUG_UART0_TX_LABEL "U11[1]/K32L_UART0_TX" /*!<@brief Label */
#define BOARD_INITPINS_CORE0_DEBUG_UART0_TX_NAME "DEBUG_UART0_TX"        /*!<@brief Identifier */

/* Symbols to be used with PORT driver */
#define BOARD_INITPINS_CORE0_DEBUG_UART0_TX_PORT PORTC                   /*!<@brief PORT peripheral base pointer */
#define BOARD_INITPINS_CORE0_DEBUG_UART0_TX_PIN 8U                       /*!<@brief PORT pin number */
#define BOARD_INITPINS_CORE0_DEBUG_UART0_TX_PIN_MASK (1U << 8U)          /*!<@brief PORT pin mask */
                                                                         /* @} */

/*! @name PORTB20 (coord J1), U15[6]/MEMORY/SPI2_SCK
  @{ */
/* Routed pin properties */
#define BOARD_INITPINS_CORE0_FLASH_SPI1_SCK_PERIPHERAL LPSPI1              /*!<@brief Peripheral name */
#define BOARD_INITPINS_CORE0_FLASH_SPI1_SCK_SIGNAL SCK                     /*!<@brief Signal name */
#define BOARD_INITPINS_CORE0_FLASH_SPI1_SCK_PIN_NAME LPSPI1_SCK            /*!<@brief Routed pin name */
#define BOARD_INITPINS_CORE0_FLASH_SPI1_SCK_LABEL "U15[6]/MEMORY/SPI2_SCK" /*!<@brief Label */
#define BOARD_INITPINS_CORE0_FLASH_SPI1_SCK_NAME "FLASH_SPI1_SCK"          /*!<@brief Identifier */

/* Symbols to be used with PORT driver */
#define BOARD_INITPINS_CORE0_FLASH_SPI1_SCK_PORT PORTB                     /*!<@brief PORT peripheral base pointer */
#define BOARD_INITPINS_CORE0_FLASH_SPI1_SCK_PIN 20U                        /*!<@brief PORT pin number */
#define BOARD_INITPINS_CORE0_FLASH_SPI1_SCK_PIN_MASK (1U << 20U)           /*!<@brief PORT pin mask */
                                                                           /* @} */

/*! @name PORTB22 (coord L1), U15[1]/MEMORY/SPI2_PCS0
  @{ */
/* Routed pin properties */
#define BOARD_INITPINS_CORE0_FLASH_SPI1_PCS_PERIPHERAL LPSPI1               /*!<@brief Peripheral name */
#define BOARD_INITPINS_CORE0_FLASH_SPI1_PCS_SIGNAL PCS2                     /*!<@brief Signal name */
#define BOARD_INITPINS_CORE0_FLASH_SPI1_PCS_PIN_NAME LPSPI1_PCS2            /*!<@brief Routed pin name */
#define BOARD_INITPINS_CORE0_FLASH_SPI1_PCS_LABEL "U15[1]/MEMORY/SPI2_PCS0" /*!<@brief Label */
#define BOARD_INITPINS_CORE0_FLASH_SPI1_PCS_NAME "FLASH_SPI1_PCS"           /*!<@brief Identifier */

/* Symbols to be used with PORT driver */
#define BOARD_INITPINS_CORE0_FLASH_SPI1_PCS_PORT PORTB                      /*!<@brief PORT peripheral base pointer */
#define BOARD_INITPINS_CORE0_FLASH_SPI1_PCS_PIN 22U                         /*!<@brief PORT pin number */
#define BOARD_INITPINS_CORE0_FLASH_SPI1_PCS_PIN_MASK (1U << 22U)            /*!<@brief PORT pin mask */
                                                                            /* @} */

/*! @name PORTB21 (coord J2), U15[5]/MEMORY/SPI2_SOUT
  @{ */
/* Routed pin properties */
#define BOARD_INITPINS_CORE0_FLASH_SPI1_SOUT_PERIPHERAL LPSPI1               /*!<@brief Peripheral name */
#define BOARD_INITPINS_CORE0_FLASH_SPI1_SOUT_SIGNAL SOUT                     /*!<@brief Signal name */
#define BOARD_INITPINS_CORE0_FLASH_SPI1_SOUT_PIN_NAME LPSPI1_SOUT            /*!<@brief Routed pin name */
#define BOARD_INITPINS_CORE0_FLASH_SPI1_SOUT_LABEL "U15[5]/MEMORY/SPI2_SOUT" /*!<@brief Label */
#define BOARD_INITPINS_CORE0_FLASH_SPI1_SOUT_NAME "FLASH_SPI1_SOUT"          /*!<@brief Identifier */

/* Symbols to be used with PORT driver */
#define BOARD_INITPINS_CORE0_FLASH_SPI1_SOUT_PORT PORTB                      /*!<@brief PORT peripheral base pointer */
#define BOARD_INITPINS_CORE0_FLASH_SPI1_SOUT_PIN 21U                         /*!<@brief PORT pin number */
#define BOARD_INITPINS_CORE0_FLASH_SPI1_SOUT_PIN_MASK (1U << 21U)            /*!<@brief PORT pin mask */
                                                                             /* @} */

/*! @name PORTB24 (coord L2), U15[2]/MEMORY/SPI2_SIN
  @{ */
/* Routed pin properties */
#define BOARD_INITPINS_CORE0_FLASH_SPI1_SIN_PERIPHERAL LPSPI1              /*!<@brief Peripheral name */
#define BOARD_INITPINS_CORE0_FLASH_SPI1_SIN_SIGNAL SIN                     /*!<@brief Signal name */
#define BOARD_INITPINS_CORE0_FLASH_SPI1_SIN_PIN_NAME LPSPI1_SIN            /*!<@brief Routed pin name */
#define BOARD_INITPINS_CORE0_FLASH_SPI1_SIN_LABEL "U15[2]/MEMORY/SPI2_SIN" /*!<@brief Label */
#define BOARD_INITPINS_CORE0_FLASH_SPI1_SIN_NAME "FLASH_SPI1_SIN"          /*!<@brief Identifier */

/* Symbols to be used with PORT driver */
#define BOARD_INITPINS_CORE0_FLASH_SPI1_SIN_PORT PORTB                     /*!<@brief PORT peripheral base pointer */
#define BOARD_INITPINS_CORE0_FLASH_SPI1_SIN_PIN 24U                        /*!<@brief PORT pin number */
#define BOARD_INITPINS_CORE0_FLASH_SPI1_SIN_PIN_MASK (1U << 24U)           /*!<@brief PORT pin mask */
                                                                           /* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitPins_Core0(void); /* Function assigned for the Cortex-M4F */

#if defined(__cplusplus)
}
#endif

/*!
 * @}
 */
#endif /* _PIN_MUX_H_ */

/***********************************************************************************************************************
 * EOF
 **********************************************************************************************************************/
